ATMEL: S_usb_interface_descriptor Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_usb_interface_descriptor Struct Reference

Usb Interface Descriptor. More...

`#include <usb_descriptors.h>`

## Data Fields

U8 | bLength
| size of this descriptor in bytes
U8 | bDescriptorType
| INTERFACE descriptor type.
U8 | bInterfaceNumber
| Number of interface.
U8 | bAlternateSetting
| value to select alternate setting
U8 | bNumEndpoints
| Number of EP except EP 0.
U8 | bInterfaceClass
| Class code assigned by the USB.
U8 | bInterfaceSubClass
| Sub-class code assigned by the USB.
U8 | bInterfaceProtocol
| Protocol code assigned by the USB.
U8 | iInterface
| Index of string descriptor.

## Detailed Description

Usb Interface Descriptor.

Definition at line 267 of file usb_descriptors.h.

## Field Documentation

U8 S_usb_interface_descriptor::bLength

size of this descriptor in bytes

Definition at line 268 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bDescriptorType

INTERFACE descriptor type.

Definition at line 269 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bInterfaceNumber

Number of interface.

Definition at line 270 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bAlternateSetting

value to select alternate setting

Definition at line 271 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bNumEndpoints

Number of EP except EP 0.

Definition at line 272 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bInterfaceClass

Class code assigned by the USB.

Definition at line 273 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bInterfaceSubClass

Sub-class code assigned by the USB.

Definition at line 274 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::bInterfaceProtocol

Protocol code assigned by the USB.

Definition at line 275 of file usb_descriptors.h.

U8 S_usb_interface_descriptor::iInterface

Index of string descriptor.

Definition at line 276 of file usb_descriptors.h.

The documentation for this struct was generated from the following file:

- usb_descriptors.h